List escalations
curl --request GET \
--url https://guidinghand.ai/v1/escalations \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://guidinghand.ai/v1/escalations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://guidinghand.ai/v1/escalations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"object": "escalation",
"id": "<string>",
"agent_id": "<string>",
"kind": "approval",
"status": "open",
"source": "live",
"summary": "<string>",
"count": 123,
"procedure": {
"id": "<string>",
"title": "<string>",
"revision": 123
},
"failed_at": "<string>",
"proposal": {
"base_revision": 123,
"body": "<string>"
},
"owner": "<string>",
"details": "<string>",
"tasks": [
"<string>"
],
"conversation_id": "<string>",
"request_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"resolved_at": "2023-11-07T05:31:56Z",
"resolution": "decided",
"resolved_by": {
"type": "<string>",
"email": "<string>",
"key_id": "<string>"
},
"resolved_revision": 123
}
],
"has_more": true,
"next_cursor": "<string>",
"open_count": 123
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"code": "<string>",
"test_case_ids": [
"<string>"
],
"decided_by": {
"type": "person",
"email": "<string>",
"key_id": "<string>"
},
"conversation_id": "<string>",
"agent_id": "<string>",
"approval_id": "<string>",
"question_id": "<string>"
}
}Escalations
List escalations
The org’s escalations, newest first. Members and above.
GET
/
v1
/
escalations
List escalations
curl --request GET \
--url https://guidinghand.ai/v1/escalations \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://guidinghand.ai/v1/escalations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://guidinghand.ai/v1/escalations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"object": "escalation",
"id": "<string>",
"agent_id": "<string>",
"kind": "approval",
"status": "open",
"source": "live",
"summary": "<string>",
"count": 123,
"procedure": {
"id": "<string>",
"title": "<string>",
"revision": 123
},
"failed_at": "<string>",
"proposal": {
"base_revision": 123,
"body": "<string>"
},
"owner": "<string>",
"details": "<string>",
"tasks": [
"<string>"
],
"conversation_id": "<string>",
"request_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"resolved_at": "2023-11-07T05:31:56Z",
"resolution": "decided",
"resolved_by": {
"type": "<string>",
"email": "<string>",
"key_id": "<string>"
},
"resolved_revision": 123
}
],
"has_more": true,
"next_cursor": "<string>",
"open_count": 123
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"code": "<string>",
"test_case_ids": [
"<string>"
],
"decided_by": {
"type": "person",
"email": "<string>",
"key_id": "<string>"
},
"conversation_id": "<string>",
"agent_id": "<string>",
"approval_id": "<string>",
"question_id": "<string>"
}
}Authorizations
An org API key (gh_live_…) from Settings → API keys in the console.
Query Parameters
Available options:
open, resolved Available options:
approval, question, procedure_failed, procedure_change, handoff Searches the summary and the procedure’s title.
Required range:
1 <= x <= 100